#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    short int n, k;
    cin >> n >> k;
    short int prvi;
    short int levi;
    short int sad;
    bool flag = false;
    cin >> levi;
    prvi = levi;
    sad = levi;
    for (short int i = 1; i < n; i++)
    {
        levi = sad;
        cin >> sad;
        if (levi == k) {
            flag = true;
            break;
        }
    }
    if (!flag) {
        cout << prvi;
    }
    else {
        cout << sad;
    }
    return 0;
}